Bug 177278 - Overridden annotations provide falls information about super class
Overridden annotations provide falls information about super class
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Karol Harezlak
issues@javafx
68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-20 03:56 UTC by Karol Harezlak
Modified: 2010-01-25 06:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Harezlak 2009-11-20 03:56:51 UTC
Overridden annotations provide falls information about super class. To reproduce it:

var node = CustomNode{
      override protected function create () : Node { 
          throw new UnsupportedOperationException('Not implemented yet');
      }
  };
Comment 1 Karol Harezlak 2009-11-23 02:48:43 UTC
fixed in trunk,

http://hg.netbeans.org/javafx/rev/ca8952d0baa7

Patch candidate.
Comment 2 Karol Harezlak 2009-11-25 03:33:58 UTC
Previous fix did not cover all cases. Improve fix:

Changeset:
http://hg.netbeans.org/javafx/rev/a905e86598a1
Comment 3 Alexandr Scherbatiy 2009-12-17 03:56:29 UTC
verified in  NetBeans-dev-javafx-main-123-on-091217-full.zip
Comment 4 rbalada 2010-01-21 02:55:47 UTC
The fix has been ported to release68_fixes branch
http://hg.netbeans.org/javafx/rev/aa878c5f0c83
Comment 5 Lukas Hasik 2010-01-25 06:55:40 UTC
Verified in NB 6.8 patch1 - build 201001250341


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo